com.pivotal.gemfirexd.internal.client.am

## Class SQLExceptionFactory

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.SQLExceptionFactory

Direct Known Subclasses:
  SQLExceptionFactory40

    public class SQLExceptionFactory
    extends Object

class to create SQLException

### Constructor Summary

Constructors
Constructor and Description
`SQLExceptionFactory()`

### Method Summary

Methods
`SQLException` `getSQLException(String message, String sqlState, int errCode)` creates SQLException initialized with all the params received from the caller.
`static SQLException` `notImplemented(String feature)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLExceptionFactory

    public SQLExceptionFactory()

### Method Detail

#### notImplemented

    public static SQLException notImplemented(String feature)

#### getSQLException

    public SQLException getSQLException(String message,
                               String sqlState,
                               int errCode)

creates SQLException initialized with all the params received from the caller. This method will be overwritten to support jdbc version specific exception class.